# $Id: buffer.spec 760 2007-04-14 17:45:27Z rpmbuild $

Summary: General purpose buffer program
Name: buffer
Version: 1.19
Release: %RErelease 8
Epoch: 0
License: GPL
Group: Applications/System
URL: http://sunsite.org.uk/public/public/packages/buffer/
Source0: http://sunsite.org.uk/public/public/packages/buffer/%{name}-%{version}.shar
Patch0: buffer-1.19.patch
Patch1: buffer-largefile.patch
Patch2: buffer-shmat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a program designed to speed up writing tapes on remote tape
drives. After startup it splits itself into two processes.  The first 
process reads (and reblocks) from stdin into a shared memory buffer.  
The second writes from the shared memory buffer to stdout.  Doing it this way
means that the writing side effectly sits in a tight write loop and
doesn't have to wait for input.  Similarly for the input side.  It is
this waiting that slows down other reblocking processes, like dd.

%prep
%setup -q -c %{name}-%{version} -T
sh %SOURCE0
%patch0 -p1
%patch1 -p1
%{?el5:%patch2}
%{?el4:%patch2}
%{?fc4:%patch2}
%{?fc3:%patch2}

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS -Wall -s"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m 0755 -D buffer ${RPM_BUILD_ROOT}%{_bindir}/buffer
%{__install} -m 0644 -D buffer.man ${RPM_BUILD_ROOT}%{_mandir}/man1/buffer.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/*
%doc %{_mandir}/*/*

%changelog
* Fri Apr 13 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.19-8
-  Added shmat patch on el5.

* Sat Dec 10 2005 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.19-7
-  Added patch to fix "previous declaration of shmat" error.

* Sun Jan  5 2003 Edwin Huffstutler <edwinh@computer.org>
- added O_LARGEFILE

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- rebuilt

* Wed Jun 07 2000 Than Ngo <than@redhat.de>
- use rpm macros

* Mon Jun 05 2000 Michael Stefaniuc <mstefani@redhat.com>
- rewrote the spec file
- rewrote and extended the buffer patch

